"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isISerializable_1 = __importDefault(require("./isISerializable"));
const serializeToPlainObject = (serializableObject) => {
    if (!isISerializable_1.default(serializableObject)) {
        throw new Error("Please implements ISerializable interface (or extend Serializable class). ");
    }
    return serializableObject.toObject();
};
exports.default = serializeToPlainObject;
//# sourceMappingURL=serializeToPlainObject.js.map